Debian Bug report logs - #466758
foo2zjs: New upstream versions

version graph

Package: foo2zjs; Maintainer for foo2zjs is Debian Printing Team <debian-printing@lists.debian.org>; Source for foo2zjs is src:foo2zjs.

Reported by: Andreas Metzler <ametzler@downhill.at.eu.org>

Date: Wed, 20 Feb 2008 18:57:02 UTC

Severity: wishlist

Tags: patch

Found in version foo2zjs/20070718dfsg-7

Fixed in version foo2zjs/20090301dfsg-1

Done: Luca Capello <luca@pca.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: foo2zjs: New upstream versions
Date: Wed, 20 Feb 2008 19:53:40 +0100
Package: foo2zjs
Version: 20070718dfsg-7
Severity: wishlist

Due to upstream's versioning policy (no versions at all) it is hard
to say "new upstream version", ;-) however:

ametzler@m26s25:/tmp/FOO$ diff -urbB foo2zjs-20070718dfsg/ChangeLog foo2zjs | wc
    227    1142    8674

Afaict from reading the changelog this seems to include a couple of
newly supported models:

+       * Add: HP-LaserJet_M1120_MFP using the foo2xqx driver
+       * Add: foo2hiperc et al.  Another set of printers added:                
+               Oki C3200n/C3300n/C3400n/C5100n/C5500n                          
+         Note: alpha quality, no color correction at all!!!
+       * Add printers HP LaserJet P1005/P1006/P1505 to foo2xqx driver.
+       * Add: foo2slx et al.  Another printer added: Lexmark C500n


cu and- pondering a 2530DL or a CLP-300 -reas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Mon, 13 Oct 2008 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Mon, 13 Oct 2008 17:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 466758@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 466758@bugs.debian.org
Subject: foo2zjs: New upstream versions
Date: Mon, 13 Oct 2008 18:57:08 +0200
Please package a current upstream version, e.g. 2008-10-08.
There are many issues fixed, e.g. for my printer I *have* to use
this version. Many thanks in advance!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Sat, 18 Oct 2008 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Sat, 18 Oct 2008 00:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 466758@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 466758@bugs.debian.org
Cc: "W. Martin Borgert" <debacle@debian.org>, Andreas Metzler <ametzler@downhill.at.eu.org>
Subject: Re: foo2zjs: New upstream versions
Date: Sat, 18 Oct 2008 02:14:17 +0200
[Message part 1 (text/plain, inline)]
tags 466758 + patch
thanks

Hi there!

On Mon, 13 Oct 2008 18:57:08 +0200, W. Martin Borgert wrote:
> Please package a current upstream version, e.g. 2008-10-08.
> There are many issues fixed, e.g. for my printer I *have* to use
> this version.

The laboratory where I work needs a newer version as well for the HP
Color LaserJet 1500L, thus I spent the whole day creating a
*preliminary* (but working) package.

It's available at [1]: the i386 .changes and .dcs files are signed with
my GPG key you can fetch from the Debian keyring [2].  Please test it
and report back :-)

The debian/changelog is the following:
--8<---------------cut here---------------start------------->8---
foo2zjs (20081007dfsg-1~gismo) UNRELEASED; urgency=low

  * New upstream version (Closes: #466758)
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP*, because copyright is unclear
  * debian/hannah-package/hanna.desktop:
    - remove now useless Encoding key, thanks to lintian.
  * debian/*.1:
    - remove, use upstream instead.
  * debian/manpages:
    - remove, no more needed.
  * debian/patches/00list: update.
  * debian/patches/10-makefile.dpatch: refresh.
  * debian/patches/30-udevs-rules.dpatch: refresh.
  * debian/patches/40-path-correction.dpatch: refresh.
  * debian/patches/50-fix-grotty-warnings:
    - don't apply, it requires a too long refresh and a better solution
      would be to fix the upstream manpage generation system.
  * debian/patches/60-foo2oak-wrapper.in.dpatch: new file.
  * debian/patches/60-getweb.in.dpatch: refresh.
  * debian/patches/70-getweb.in.dpatch:
    - remove, no more needed.
  * debian/patches/80-getweb.in.dpatch: refresh.

 -- Luca Capello <luca@pca.it>  Sat, 18 Oct 2008 01:19:36 +0200
--8<---------------cut here---------------end--------------->8---

Now, some concerns, which mostly means lintian output:

1) I: foo2zjs source: debian-watch-file-is-missing

   This can be easily ignored, since upstream doesn't provide numbered
   versions...

2) W: foo2zjs: manpage-has-errors-from-man  usr/share/man/man1/arm2hpdl.1.gz 217:
      warning: `/"' not defined
   I: foo2zjs: hyphen-used-as-minus-sign usr/share/man/man1/arm2hpdl.1.gz:39
   [and all the other manpages' problems]

   Previously, the debian/ folder contained the same but fixed manpages,
   in order to avoid lintian warnings.  This is IMHO not the right way:
   we should fix upstream system to generate manpages, which will fix in
   one single round all the problems.  That's also why I haven't applied
   debian/patches/50-fix-grotty-warnings.dpatch.

3) W: foo2zjs: binary-without-manpage usr/bin/foo2zjs-icc2ps

   This is my fault: I removed all the manpages from the debian/
   folder thinking that upstream provides them, but it seems that this
   one is missing.  I'm too lazy to rebuild the packages now, it'll go
   into -1~gismo.2 ;-)

4) W: foo2zjs: binary-without-manpage usr/bin/getweb
   W: foo2zjs: binary-without-manpage usr/bin/gipddecode
   W: foo2zjs: binary-without-manpage usr/sbin/hplj1000
   W: foo2zjs: binary-without-manpage usr/sbin/hplj1005
   W: foo2zjs: binary-without-manpage usr/sbin/hplj1018
   W: foo2zjs: binary-without-manpage usr/sbin/hplj1020

   These manpages need to be written.

5) I: foo2zjs: arch-dep-package-has-big-usr-share 2636kB 62%

6) I: foo2zjs: package-contains-empty-directory usr/share/foo2hiperc/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2hp/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2lava/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2oak/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2qpdl/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2slx/icm/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2xqx/firmware/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2zjs/firmware/
   I: foo2zjs: package-contains-empty-directory usr/share/foo2zjs/icm/

   These folders are needed when you download files through
   /usr/bin/getweb, thus a .lintian-overrides is fine here.  However, I
   prefer downloaded files to be stored somewhere in /var: according to
   the FHS /usr is read-only and must not be written to [3].

7) E: foo2zjs: wish-script-but-no-wish-dep ./usr/share/foo2zjs/hplj10xx_gui.tcl
   W: foo2zjs: desktop-command-not-in-package /usr/share/applications/hplj1020.desktop wish

   This is an error, indeed, and it will be fixed in -1~gismo.2 ;-)

8) I: foo2zjs: desktop-entry-contains-encoding-key /usr/share/applications/hplj1020.desktop:2 Encoding

   I fixed the same error for debian/hannah-package/hannah.desktop, as
   before this will go into -1~gismo.2 ;-)

9) W: foo2zjs: desktop-entry-contains-unknown-key /usr/share/applications/hplj1020.desktop:5 zExec

   I don't know where this key come from and since the machine where I
   installed foo2zjs is a CLI-only, I need more investigations.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://people.debian.org/~gismo/tmp/foo2zjs/
[2] finger gismo/key@db.debian.org
[3] http://www.pathname.com/fhs/pub/fhs-2.3.html#THEUSRHIERARCHY
[Message part 2 (application/pgp-signature, inline)]

Tags added: patch Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sat, 18 Oct 2008 00:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Sat, 18 Oct 2008 11:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Sat, 18 Oct 2008 11:03:02 GMT) Full text and rfc822 format available.

Message #22 received at 466758@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Luca Capello <luca@pca.it>
Cc: 466758@bugs.debian.org
Subject: Re: foo2zjs: New upstream versions
Date: Sat, 18 Oct 2008 12:53:32 +0200
On 2008-10-18 02:14, Luca Capello wrote:
> It's available at [1]: the i386 .changes and .dcs files are signed with
> my GPG key you can fetch from the Debian keyring [2].  Please test it
> and report back :-)

I tested your binary package for i386 and it works fine.
(CLI only, I'm not interested in the GUI part.)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Sun, 19 Oct 2008 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Sun, 19 Oct 2008 21:57:05 GMT) Full text and rfc822 format available.

Message #27 received at 466758@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 466758@bugs.debian.org
Subject: Re: foo2zjs: New upstream versions
Date: Sun, 19 Oct 2008 23:52:38 +0200
[Message part 1 (text/plain, inline)]
Hi Wolfgang!

On Sat, 18 Oct 2008 12:53:32 +0200, W. Martin Borgert wrote:
> On 2008-10-18 02:14, Luca Capello wrote:
>> It's available at [1]: the i386 .changes and .dcs files are signed with
>> my GPG key you can fetch from the Debian keyring [2].  Please test it
>> and report back :-)
>
> I tested your binary package for i386 and it works fine.
> (CLI only, I'm not interested in the GUI part.)

Thank you for the test.

For the foo2zjs maintainers: since I need this softare for everyday
life, I can help maintaining the package.  I already started fixing the
other problems I spotted at [1] and I'd be glad to upload the package,
after having added myself into the Uploaders: field.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466758#15
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Mon, 26 Jan 2009 15:09:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Mon, 26 Jan 2009 15:09:44 GMT) Full text and rfc822 format available.

Message #32 received at 466758@bugs.debian.org (full text, mbox):

From: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
To: 466758@bugs.debian.org
Cc: Debian foo2zjs Maintainer <foo2zjs-maintainer@lists.alioth.debian.org>
Subject: foo2zjs: up-to-date upstream release
Date: Mon, 26 Jan 2009 16:06:13 +0100
[Message part 1 (text/plain, inline)]
Hi there!

I needed to update your foo2zjs package in order to get the Samsung  
CLP-315 working properly as your current foo2zjs code base is way too  
old. I thought it would be a good idea to update your patches of  
version 20070718dfsg-9 to get them working with the current upstream  
release 20090122, which has been taking quite a long time. Finally  
done, I wished other people to benefit from my work.
With this in mind I came across this patch request with Luca's  
unreleased packages of last autumn. Maybe those packages would have  
helped me to save my time, but anyway, now that I have done myself an  
update of the package's code base, I don't want to dump it.
Please find attached to my e-mail a tarball with all the necessary  
files to re-build the current up-to-date packages foo2zjs and  
hannah-foo2zjs, also including both binary builds of last night. My  
system is based on Xandros 4.5/ Debian etch/stable+backports, so the  
hannah binary build may not install on a clean Debian installation.  
Anyhow, although the updated foo2zjs package supports lots of new  
printers (I have already revised the download script getweb), I did  
not touch the helper application hannah to reflect those changes. I  
leave this up to you as you may clean up the code faster than I. And I  
am fine sticking to the console/terminal.

I would be very happy if my work could be of use for you.

Regards,

Thomas Uhle
[foo2zjs-20090122.tar (application/x-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Thu, 19 Feb 2009 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Thu, 19 Feb 2009 10:42:04 GMT) Full text and rfc822 format available.

Message #37 received at 466758@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 466758@bugs.debian.org
Subject: Reminder
Date: Thu, 19 Feb 2009 11:41:09 +0100
Now, that lenny is out of the door, can we hope for an update?
Remember: many users of current Samsung printers are lost
without a newer package. Thanks in advance!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Fri, 20 Feb 2009 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Fri, 20 Feb 2009 12:42:05 GMT) Full text and rfc822 format available.

Message #42 received at 466758@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 466758@bugs.debian.org, Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>, 466758@bugs.debian.org
Subject: Re: [Foo2zjs-maintainer] Bug#466758: Reminder
Date: Fri, 20 Feb 2009 13:38:40 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Thu, 19 Feb 2009 11:41:09 +0100, W. Martin Borgert wrote:
> Now, that lenny is out of the door, can we hope for an update?
> Remember: many users of current Samsung printers are lost
> without a newer package. Thanks in advance!

Thank you for the reminder.  My plan was to import Thomas Uhle's changes
and then release a new package.  I will work on it during this week-end.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Sun, 01 Mar 2009 23:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Sun, 01 Mar 2009 23:45:02 GMT) Full text and rfc822 format available.

Message #47 received at 466758@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
Cc: 466758@bugs.debian.org
Subject: Re: [Foo2zjs-maintainer] Bug#466758: foo2zjs: up-to-date upstream release
Date: Mon, 02 Mar 2009 00:42:39 +0100
[Message part 1 (text/plain, inline)]
Hi Thomas!

On Mon, 26 Jan 2009 16:06:13 +0100, Thomas Uhle wrote:
> I needed to update your foo2zjs package in order to get the Samsung
> CLP-315 working properly as your current foo2zjs code base is way too
> old.
[...]
> With this in mind I came across this patch request with Luca's
> unreleased packages of last autumn.
[...]
> Please find attached to my e-mail a tarball

I am preparing a new Debian package for foo2zjs (today's version) and I
wanted to import your changes into the new package [1].

While doing so, I noticed that all your changes were already included in
the unreleased version I was working on [2], thus I did not use at all
your package.  I hope you do not mind :-)

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=466758#42
[2] foo2zjs_20081007dfsg, SVN r149-166
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Mon, 02 Mar 2009 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Mon, 02 Mar 2009 17:18:02 GMT) Full text and rfc822 format available.

Message #52 received at 466758@bugs.debian.org (full text, mbox):

From: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
To: Luca Capello <luca@pca.it>
Cc: 466758@bugs.debian.org
Subject: Re: [Foo2zjs-maintainer] Bug#466758: foo2zjs: up-to-date upstream release
Date: Mon, 02 Mar 2009 18:16:36 +0100
Ciao Luca!

No problem! Certainly, I don't mind that much. As I already pointed  
out, that was unnecessary "double-work" of mine because I just came  
across your version after I had finished my changes. There may be  
little differences between your changes and mine though. So it could  
be worth to check these patches with your patches by diff. But I am  
not quite sure about this. It's more than a month ago.
Nevertheless, it might be a good idea to get a fresh upstream release  
if you are willing to build a new package release. After all, your  
unreleased package is built on the code base of last autumn.

Bye,

Thomas





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>:
Bug#466758; Package foo2zjs. (Mon, 02 Mar 2009 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>. (Mon, 02 Mar 2009 17:48:05 GMT) Full text and rfc822 format available.

Message #57 received at 466758@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
Cc: 466758@bugs.debian.org
Subject: Re: [Foo2zjs-maintainer] Bug#466758: foo2zjs: up-to-date upstream release
Date: Mon, 02 Mar 2009 18:44:35 +0100
[Message part 1 (text/plain, inline)]
Hallo Thomas!

On Mon, 02 Mar 2009 18:16:36 +0100, Thomas Uhle wrote:
> There may be little differences between your changes and mine
> though. So it could be worth to check these patches with your patches
> by diff.

I checked them yesterday night and I did not find big changes, but I
could be wrong :-)

> Nevertheless, it might be a good idea to get a fresh upstream release
> if you are willing to build a new package release. After all, your
> unreleased package is built on the code base of last autumn.

Sure, that is why I worked on yesterday upstream snapshot ;-)

The packages is ready, but since I have not tested it yet (real life
work), it will be uploaded tomorrow.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Tue, 03 Mar 2009 09:45:23 GMT) Full text and rfc822 format available.

Notification sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Bug acknowledged by developer. (Tue, 03 Mar 2009 09:45:24 GMT) Full text and rfc822 format available.

Message #62 received at 466758-close@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 466758-close@bugs.debian.org
Subject: Bug#466758: fixed in foo2zjs 20090301dfsg-1
Date: Tue, 03 Mar 2009 09:17:07 +0000
Source: foo2zjs
Source-Version: 20090301dfsg-1

We believe that the bug you reported is fixed in the latest version of
foo2zjs, which is due to be installed in the Debian FTP archive:

foo2zjs_20090301dfsg-1.diff.gz
  to pool/main/f/foo2zjs/foo2zjs_20090301dfsg-1.diff.gz
foo2zjs_20090301dfsg-1.dsc
  to pool/main/f/foo2zjs/foo2zjs_20090301dfsg-1.dsc
foo2zjs_20090301dfsg-1_amd64.deb
  to pool/main/f/foo2zjs/foo2zjs_20090301dfsg-1_amd64.deb
foo2zjs_20090301dfsg.orig.tar.gz
  to pool/main/f/foo2zjs/foo2zjs_20090301dfsg.orig.tar.gz
hannah-foo2zjs_20090301dfsg-1_amd64.deb
  to pool/main/f/foo2zjs/hannah-foo2zjs_20090301dfsg-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 466758@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Capello <luca@pca.it> (supplier of updated foo2zjs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Mar 2009 09:43:35 +0100
Source: foo2zjs
Binary: foo2zjs hannah-foo2zjs
Architecture: source amd64
Version: 20090301dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Foo2zjs Maintainers <foo2zjs-maintainer@lists.alioth.debian.org>
Changed-By: Luca Capello <luca@pca.it>
Description: 
 foo2zjs    - Support for printing to ZjStream-based printers
 hannah-foo2zjs - Graphical firmware downloader for the foo2zjs package
Closes: 466758
Changes: 
 foo2zjs (20090301dfsg-1) unstable; urgency=low
 .
   * New upstream version (Closes: #466758)
   * DFSG repack
     - remove binary file c5200mono.prn
     - remove crd/qpdl/CLP* , because copyright is unclear
   * debian/*.1:
     - remove, use upstream instead.
   * debian/control:
     + Recommends: tk8.4 and tik for hplj10xx_gui.tcl, thanks to lintian.
   * debian/hannah-package/hanna.desktop:
     - remove now useless Encoding key, thanks to lintian.
   * debian/manpages:
     + install foo2zjs-icc2ps.1 only.
   * debian/patches/00list: update.
   * debian/patches/10-makefile.dpatch: refresh.
   * debian/patches/30-udevs-rules.dpatch: refresh.
   * debian/patches/40-desktop-encoding-correction.dpatch:
     - remove now useless Encoding key, thanks to lintian.
   * debian/patches/40-path-correction.dpatch: refresh.
   * debian/patches/50-fix-grotty-warnings:
     - do not apply, it requires a too long refresh and a better
       solution would be to fix the upstream manpage generation system.
   * debian/patches/60-getweb.in.dpatch: refresh.
   * debian/patches/70-getweb.in.dpatch:
     - remove, no more needed.
   * debian/watch:
     + new dummy file, thanks to lintian.
Checksums-Sha1: 
 b4d7e1de1b2b931304d1e261b15fd33854075187 1447 foo2zjs_20090301dfsg-1.dsc
 ebe79521b163c768486272d3a334a655ddc8ca5d 1082869 foo2zjs_20090301dfsg.orig.tar.gz
 9ff161de5aad6bb08edb7b5f88f64f8537f77396 14643 foo2zjs_20090301dfsg-1.diff.gz
 f4ec111da4a61aed5eaa09ec1781f0ef553a1e65 1559644 foo2zjs_20090301dfsg-1_amd64.deb
 19208c3ee85f1db98286d71f35dabb4405fbac49 36126 hannah-foo2zjs_20090301dfsg-1_amd64.deb
Checksums-Sha256: 
 3f7525fec9944d1a09804a43f9af338ea940d7e2998067aa080433994b595398 1447 foo2zjs_20090301dfsg-1.dsc
 1dea8a02361064816f037d6fe8c6cb27b01e79407259eaeb7a4469076cbdcbea 1082869 foo2zjs_20090301dfsg.orig.tar.gz
 8caa9ae80ec6f7239d37b8ab835183d730288ef191ebe2ba7e25e80d6750224a 14643 foo2zjs_20090301dfsg-1.diff.gz
 deb45759000683fd6381b93fc48c7a3c591feb5fa6026419d7f64611548005b3 1559644 foo2zjs_20090301dfsg-1_amd64.deb
 42431dd17f02eb9a7540fc3956eb428a0e0a9907867366c87b380d01f57130ae 36126 hannah-foo2zjs_20090301dfsg-1_amd64.deb
Files: 
 d81377ee0bcce00c41c120341273381a 1447 text optional foo2zjs_20090301dfsg-1.dsc
 2887b63a6c367ccf41b6e5843281879f 1082869 text optional foo2zjs_20090301dfsg.orig.tar.gz
 6d57348eaeca18962855f4ba87f4caf7 14643 text optional foo2zjs_20090301dfsg-1.diff.gz
 f424b2b91c740c6872eaf0713a38568b 1559644 text optional foo2zjs_20090301dfsg-1_amd64.deb
 cde7b1e3fa260abb42714ff12bb380f1 36126 text optional hannah-foo2zjs_20090301dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkms74QACgkQZwOMsWhEDTPvVQP+MgKDUuJik0UoxSJDEyvvhdk4
qH6MoOJ7AB3BdlAvaCx4F2XyddlXSLQq7N1+2tjXsxkVaFUMj4/vGaoLT3A2Wwqz
GvbMu01r+7br4jkifbdeNZw86GKKAU/XIQrGidkaoxZBvYRH5r7bpV6PY1Dtb3e6
fweYetHaSgLGv658RLY=
=Qlp1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Apr 2009 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:35:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.